Subject: Re: bug#21830: Useless messages from comint-previous-matching-input

From: Jay Adams <[email-masked]>
Date: Wed, 4 Nov 2015 19:49:49 -0800

Thanks to all who replied.

It looks like this is fixed in 24.5 (I was running 24.3).  That message
call now appears inside of (let ((message-log-max nil)) ...).

I verified that this fixes the problem on the Mac.

On Wed, Nov 4, 2015 at 6:11 PM, Wolfgang Jenkner <[email-masked]> wrote:

> On Wed, Nov 04 2015, Jay Adams wrote:
>
> > 1. They go by so fast as to be unnoticeable (this happens on my Ubuntu
> > desktop).
> > 2. They go by slowly and make the search excruciatingly slow (this
> happens
> > on my Mac).
>
> I guess the message is meant to remain visible until you use the
> minibuffer (again) or some other message pops up from somewhere.
>
> At least, this is what happens for me when I call
> comint-previous-matching-input-from-input or
> comint-previous-matching-input repeatedly (via some key binding).
>
> Can you reproduce your problem with emacs -Q?
>